## wsjt 9.7.r3639+dfsg

=== jt4/Makefile ===
# Makefile for Windows
# For re-direct:
#   C> make > junk 2>&1

CC = /mingw/bin/gcc
FC = /mingw/bin/g95

FFLAGS = -O2 -fbounds-check -Wall -Wno-precision-loss
CFLAGS = -I. -fbounds-check

# Default rules
%.o: %.c
	${CC} ${CFLAGS} -c $<
%.o: %.f
	${FC} ${FFLAGS} -c $<
%.o: %.F
	${FC} ${FFLAGS} -c $<
%.o: %.f90
	${FC} ${FFLAGS} -c $<
%.o: %.F90
	${FC} ${FFLAGS} -c $<

all:    libjt.a jt4metrics.exe simsync.exe jt4code.exe simjt4.exe \
	fskprob.exe sim14.exe

OBJS1 = chkmsg.o deg2grid.o encode232.o encode4.o entail.o fano232.o \
	getmet4.o getpfx1.o getpfx2.o gran.o grid2deg.o grid2k.o \
	interleave4.o k2grid.o nchar.o packcall.o packgrid.o packmsg.o \
	packtext.o unpackcall.o unpackgrid.o unpackmsg.o unpacktext.o \
	interleave4a.o getmu.o bessi.o bessi0.o bessi1.o gammln.o \
	pdfChisq.o exhaust.o ex28.o decode4.o

fano232.o: fano232.f90 conv232.f90
	$(FC) -c -O fano232.f90

libjt.a: $(OBJS1)
	ar cr libjt.a $(OBJS1) 
	ranlib libjt.a

OBJS2 = jt4metrics.o libjt.a 
jt4metrics.exe: $(OBJS2)
	$(FC) -o jt4metrics.exe $(FFLAGS) $(OBJS2)  libjt.a 

OBJS3 = simsync.o  libjt.a 
simsync.exe: $(OBJS3)
	$(FC) -o simsync.exe $(FFLAGS) $(OBJS3) libjt.a 

OBJS4 = jt4code.o libjt.a 
jt4code.exe: $(OBJS4)
	$(FC) -o jt4code.exe $(FFLAGS) $(OBJS4) libjt.a 

OBJS5 = simjt4.o libjt.a 
simjt4.exe: $(OBJS5)
	$(FC) -o simjt4.exe $(FFLAGS) $(OBJS5) libjt.a 

OBJS6 = fskprob.o libjt.a 
fskprob.exe: $(OBJS6)
	$(FC) -o fskprob.exe $(FFLAGS) $(OBJS6) libjt.a 

OBJS7 = sim14.o libjt.a 
sim14.exe: $(OBJS7)
	$(FC) -o sim14.exe $(FFLAGS) $(OBJS7) libjt.a 

.PHONY : clean

clean:
	rm -f *.o jt4metrics.exe simsync.exe jt4code.exe simjt4.exe \
	fskprob.exe sim14.exe libjt.a

## wsjt 9.3.r2792%2Bdfsg

=== debian/control ===
Source: wsjt
Section: hamradio
Priority: optional
Maintainer: Debian Hams group <debian-hams@lists.debian.org>
Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, gfortran, autoconf, python-numpy, libfftw3-dev, libsamplerate0-dev, python-dev, portaudio19-dev (>= 19+svn20111121-1~), sharutils, python-support
Standards-Version: 3.9.4
Homepage: http://developer.berlios.de/projects/wsjt/
#Vcs-Git: git://git.debian.org/collab-maint/wsjt.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/wsjt.git;a=summary

Package: wsjt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-imaging, python-imaging-tk, python-tk, python-numpy, xterm | x-terminal-emulator
Description: weak-signal amateur radio communications
 WSJT is designed to facilitate Amateur Radio communication under extreme 
 weak-signal conditions.

## wsjt 9.3.r2792+dfsg

=== debian/changelog ===
wsjt (9.3.r2792+dfsg-2) unstable; urgency=low

  * Steve AI4QR patch allows 1 channel soundcard
  * wsjt.desktop Categories:AudioVideo;Audio;HamRadio;

 -- John T. Nogatch <jnogatch@gmail.com>  Wed, 13 Feb 2013 12:27:10 -0800

wsjt (9.3.r2792+dfsg-1) unstable; urgency=low

  * Update from upstream svn
  * svn export svn://svn.berlios.de/wsjt/trunk@2792
  * removed extraneous files
  * 9 modifications
  * Closes: 532907, 536321, 556266, 611848
  * LP: 230471, 258016, 359854, 490650, 588359, 592904, 1026965

 -- John T. Nogatch <jnogatch@gmail.com>  Tue, 05 Feb 2013 06:56:03 -0800

wsjt (5.9.7.r383-1.6) unstable; urgency=low

  * Non-maintainer upload.

  [ Hideki Yamane ]
  * debian/rules
    - adjust library path for multiarch

  [ gregor herrmann ]
  * debian/control
    - make build dependency on portaudio19-dev versioned, and add 
      dpkg-dev >= 1.16.0
  
  Closes: #652192

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Jan 2012 17:17:09 +0100

wsjt (5.9.7.r383-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * debian/{control, rules}
    - added python-support, to correctly handle python extensions; thanks to
      Jakub Wilk for the report and patch; Closes: #586814

 -- Sandro Tosi <morph@debian.org>  Thu, 08 Jul 2010 08:34:09 +0200

wsjt (5.9.7.r383-1.4) unstable; urgency=low

  * Retiring - remove myself from the uploaders list.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 18 Nov 2009 20:23:21 +0000

wsjt (5.9.7.r383-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Depends on python-numpy instead of python-numeric.
    Closes: #478465, #483193.
  * Add myself to the uploaders field.
  * Menu transition.
  * Bump standards version.
  * Lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 29 May 2008 14:04:16 +0200

wsjt (5.9.7.r383-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    + Unexport LDFLAGS to prevent the package failing to
      build. (Closes: #475978)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 14 Apr 2008 10:08:04 +0000

wsjt (5.9.7.r383-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * transition to gfortran, closes: 469658
    - Thanks Kumar Appaiah

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 09 Mar 2008 17:41:10 +0200

wsjt (5.9.7.r383-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sat, 05 May 2007 01:12:51 +1000

wsjt (5.9.6.r309-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sat, 23 Sep 2006 12:08:44 +1000

wsjt (5.9.5.r269-2) unstable; urgency=low

  * Modify ptt_unix.c not to require <sys/io.h>, attempting to fix FTBFS
    on most platforms

 -- Hamish Moffatt <hamish@debian.org>  Sun, 10 Sep 2006 10:01:39 +1000

wsjt (5.9.5.r269-1) unstable; urgency=low

  * Upstream Subversion revision 269 (version 5.9.5.r269)
  * First official upload of WSJT for Debian

 -- Hamish Moffatt <hamish@debian.org>  Sat,  2 Sep 2006 23:50:35 +1000

wsjt (5.9.7.r383-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    + Unexport LDFLAGS to prevent the package failing to
      build. (Closes: #475978)
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Wed, 16 Apr 2008 22:36:19 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# prevent ld options being passed on f2py command
export DEB_LDFLAGS_MAINT_SET=""

# This has to be exported to make some magic below work.
export DH_OPTIONS

unexport LDFLAGS
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

configure_flags += --prefix=/usr --enable-gfortran --with-portaudio-include-dir=/usr/include --with-portaudio-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH)

configure_flags += $(shell dpkg-buildflags --export=configure)

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- $(configure_flags)

override_dh_compress:
	dh_compress -a -X.WAV -X.pdf usr/share/wsjt/CALL3.TXT usr/share/wsjt/TSKY.DAT

## wsjt 9.7.r3639%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Hams group <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, gfortran, autoconf, python-numpy, libfftw3-dev, libsamplerate0-dev, python-dev, portaudio19-dev (>= 19+svn20111121-1~), sharutils, python-support
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, gfortran, autoconf, python-numpy, libfftw3-dev, libsamplerate0-dev, python-dev, portaudio19-dev (>= 19+svn20111121-1~), sharutils, dh-python
+Standards-Version: 3.9.5
 Homepage: http://developer.berlios.de/projects/wsjt/
 #Vcs-Git: git://git.debian.org/collab-maint/wsjt.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/wsjt.git;a=summary

## wsjt 9.7.r3639+dfsg

=== debian/changelog ===
wsjt (9.7.r3639+dfsg-1) unstable; urgency=low

  * Update from upstream svn
  * svn export svn://svn.berlios.de/wsjt/trunk@3639
  * removed extraneous files

 -- John T. Nogatch <jnogatch@gmail.com>  Sat, 01 Feb 2014 13:00:03 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Hams group <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, gfortran, autoconf, python-numpy, libfftw3-dev, libsamplerate0-dev, python-dev, portaudio19-dev (>= 19+svn20111121-1~), sharutils, dh-python
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, gfortran, autoconf, python-numpy, libfftw3-dev, libsamplerate0-dev, python-dev, portaudio19-dev (>= 19+svn20111121-1~), sharutils, python-support
 Standards-Version: 3.9.5
 Homepage: http://developer.berlios.de/projects/wsjt/
 #Vcs-Git: git://git.debian.org/collab-maint/wsjt.git
